Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyType

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyType

- All Implemented Interfaces and Traits:
    GroovyType

      public class SimpleGroovyType
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyType (String typeName)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isPrimitive()`
    `` | `String` | `qualifiedTypeName()`
    `` | `String` | `simpleTypeName()`
    `` | `String` | `typeName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public SimpleGroovyType(String typeName)

  - ### Method Detail

    - #### public boolean isPrimitive()

    - #### public String qualifiedTypeName()

    - #### public String simpleTypeName()

    - #### public String typeName()